/****************************************************************************
 * NCSA H4toH5 Conversion Library and related utilites                      *
 * National Center for Supercomputing Applications                          *
 * University of Illinois at Urbana-Champaign                               *
 * 605 E. Springfield, Champaign IL 61820                                   *
 * http://hdf.ncsa.uiuc.edu/                                                *
 *                                                                          *
 * Copyright by the Board of Trustees of the University of Illinois.        * 
 * All rights reserved.                                                     *
 *                                                                          *
 * This file is part of the H4toH5 Conversion Library and related utilites. *
 * The full copyright notice, including terms governing use, modification,  *
 * and redistribution, is contained in the files COPYING and Copyright.html.*
 * COPYING can be found at the root of the source code distribution tree,   *
 * i.e., in h4h5tools/COPYING.  Copyright.html can be found at the root     *
 * level of an installed copy of the electronic document set and is linked  *
 * from the "H4toH5 Conversion Library User's Guide" and the "H4toH5        *
 * Conversion Library Reference Manual."  It can also be found at           *
 * http://hdf.ncsa.uiuc.edu/h4toh5/Copyright.html.  If you do not have      *
 * access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.*
 ****************************************************************************/

/*
 *
 * Programmer:  Paul Harten <pharten@ncsa.uiuc.edu>
 *              Friday, October 16th, 1998
 *
 * Purpose:	Convert H5 files to H4 files.
 */

#ifndef _H5TOH4_H
#define _H5TOH4_H

#include "mfhdf.h"
#include "hdf5.h"

#ifdef H5_HAVE_SYS_STAT_H
#   include <sys/stat.h>
#endif

typedef struct op_data_t {
    /*
     * information being carried between iterations.
     *
     */

    int32 hfile_id;
    int32 vgroup_id;
    int32 sd_id;
    int32 sds_id;
    int32 vdata_id;
    int32 obj_idx;
    int32 gr_id;
    int32 grimage_id;
    int32 an_id;
} op_data_t;

#ifdef H5TOH4_DEBUG
#define DEBUG_PRINT(s1,s2,s3,n1) ( fprintf(stderr,s1,s2,s3,n1) )
#else
#define DEBUG_PRINT(s1,s2,s3,n1) ( fprintf(stderr," ") )
#endif

#endif
